alias wmenu {
  window -pda @arf -1 -1 400 400

  linesep -s
  ;window marking
  echo 10 -s $wmdll(WMMark,$window(@arf).hwnd @arf)

  ; creation of menubar
  var %hmenu = $wmdll(WMCreateMenuBar,$window(@arf).hwnd)
  echo 10 -s %hmenu
  %hmenu = $gettok(%hmenu,2,32)
  echo 10 -s HMenu %hmenu

  ;creation of submenu 1
  var %hsmenu = $wmdll(WMCreateSubMenu,.)
  echo 10 -s %hsmenu
  %hsmenu = $gettok(%hsmenu,2,32)
  echo 10 -s HSMenu %hsmenu

  ; adding items to submenu 1
  echo 10 -s $wmdll(WMSetItem,%hsmenu > 1 0 New)

  ; creation of submenu 2
  var %hsmenu2 = $wmdll(WMCreateSubMenu,.)
  echo 10 -s %hsmenu2
  %hsmenu2 = $gettok(%hsmenu2,2,32)
  echo 10 -s HSMenu %hsmenu2

  ; adding items to submenu 2
  echo 10 -s $wmdll(WMSetItem,%hsmenu2 > 2 0 About)
  ; menu separator
  echo 10 -s $wmdll(WMSetItem,%hsmenu2 > 0 0 -)
  echo 10 -s $wmdll(WMSetItem,%hsmenu2 > 3 0 WebPage)


  ; connection of submenu 1 to menubar
  echo 10 -s $wmdll(WMSetSubMenu,%hmenu > %hsmenu File)
  ; connection of submenu 2 to menubar
  echo 10 -s $wmdll(WMSetSubMenu,%hmenu > %hsmenu2 Help)

  ; activation of menubar
  echo 10 -s $wmdll(WMSetMenu,$window(@arf).hwnd > %hmenu)

  ; testing if menuID 1 exists
  ;echo 10 -s $wmdll(WMIsMenuID,$window(@arf).hwnd > 1)
}

ON *:SIGNAL:WMENU: { 
  echo -a WMENU SIGNAL $1-
}

alias wmdll { 
  if ($isid) { return $dll($+(",$scriptdir,winmenu.dll,"),$1,$2-) }
  else { dll $+(",$scriptdir,winmenu.dll,") $1 $2- }
}

alias wmu { dll -u winmenu.dll }
